# Personal data

## List all personal data for a given service

<mark style="color:blue;">`GET`</mark> `https://app.openli.com/api/v1/services/:service_public_key/personaldata`

You can find a specific service's public key under settings in the app.&#x20;

**Example request:**

`https://app.openli.com/api/v1/services/123456789adbfc/personaldata`

#### Path Parameters

| Name                                             | Type | Description                               |
| ------------------------------------------------ | ---- | ----------------------------------------- |
| 123456789adbfc<mark style="color:red;">\*</mark> |      | The public key of the particular service. |

#### Headers

| Name                                        | Type | Description                   |
| ------------------------------------------- | ---- | ----------------------------- |
| X-API-Key<mark style="color:red;">\*</mark> |      | API key set for your project. |

{% tabs %}
{% tab title="200: OK An example response" %}

```javascript
{
    "personal_data": [
        {
            "sensitivity_type": "ordinary",
            "category": "Email, name, IP",
            "subjects": "Employees",
            "purpose": "We do this because...",
            "nature_of_processing": "The way we process it is...",
            "data_processing_locations": [
                {
                    "country_name": "Denmark",
                    "country_code": "DK"
                },
                ...
            ]
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openli.com/docs/documentation/legal-monster-api/services/personal-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
